#!/bin/sh

SCRIPTS_PATH=$('pwd')
PRODUCT_PATH=$('pwd')/../
PACKAGE_VERSION=1.125.4

export NPM_TOKEN="76f8066c-539b-47b8-8a76-4af6ceb8c20f"

echo 'Back step -------------------------------------------------------'
cd $PRODUCT_PATH/backend
{ # try
	$SCRIPTS_PATH/replace.sh 'secure-http" : false' 'secure-http" : false, "platform": {"php": "7.4.0"}' "composer.json"
    $SCRIPTS_PATH/back_step.sh
} || { # catch
	echo 'Back Step Error ------------------------------------------------------'
    exit 1
}

echo 'Front step ------------------------------------------------------'
cd $PRODUCT_PATH/mobile
{ # try
	cd src/config
    mv devEnvironment.json.exemplo devEnvironment.json
    
    cd $PRODUCT_PATH/mobile
	$SCRIPTS_PATH/front_step.sh 
} || { # catch
	echo 'Front Step Error ------------------------------------------------------'
    exit 1
}

$SCRIPTS_PATH/replace.sh "<>VUE_APP_META_CONTENT_SECURITY_POLICY<>" "Content-Security-Policy" ".env.production"
$SCRIPTS_PATH/replace.sh "<>VUE_APP_UPGRADE_INSECURE_REQUESTS<>" "upgrade-insecure-requests" ".env.production"

cd $PRODUCT_PATH/mobile/src/config
$SCRIPTS_PATH/replace.sh "<>SESSION_TIME<>" "3600000" "prodEnvironment.json"
$SCRIPTS_PATH/replace.sh "<>MODULES_THEME_COLOR<>" "#0051d0" "prodEnvironment.json"

echo 'Grunt'
cd $PRODUCT_PATH/mobile
#$SCRIPTS_PATH/replace.sh "661" "1581" "package.json"
grunt zhWords
grunt backendStep
grunt reportTranslate
grunt buildEnvironment:production

echo 'Update Package Version'
cd $PRODUCT_PATH
$SCRIPTS_PATH/replace.sh "<>APPLICATION_VERSION<>" $PACKAGE_VERSION "mobile/src/App.vue"
$SCRIPTS_PATH/replace.sh "0.1.0" $PACKAGE_VERSION "mobile/package.json"

echo 'Build'
{ # try
	cd $PRODUCT_PATH/mobile
	#sed -i '27,35 {s|^|//|}' vue.config.js
	npm run build
} || { # catch
echo 'Run Build Error ------------------------------------------------------'
    exit 1
}

echo 'Move json'
mv -v ./public/metadata/json ./dist/assets/json

echo 'Remove development dependencies'
cd $PRODUCT_PATH
rm -Rf README.md
# rm -Rf mobile/package-lock.json # comentado pois arquivo necessario para carregar info versao front no sobre no produto
rm -Rf backend/.gitignore
rm -Rf backend/reports/connection.js.template
rm -Rf backend/parameters
rm -Rf backend/config/parameters.xml.template
rm -Rf backend/config/report.xml.template
